<div class="modal fade" id="groupDeleteModal-{{ group.id }}{% if application %}-{{ application.identifier }}{% endif %}" tabindex="-1" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h1 class="modal-title fs-5">Delete group '{{ group.name }}'</h1>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        Are you sure you want to delete group <strong>{{ group.name }}</strong>?
        <div class="mt-2">This action will remove the group from applications:</div>
        <ul class="mt-2">
          {% for application in group.application.all %}
            <li>{{ application.descriptive_name }}</li>
          {% endfor %}
        </ul>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">No</button>
        <a href='/group/delete/{% if application %}{{ application.identifier }}/{% endif %}{{ group.id }}/' class="btn btn-danger">Yes</a>
      </div>
    </div>
  </div>
</div>